Package: groovy.swing.factory

## [Groovy] Class RichActionWidgetFactory

- groovy.swing.factory.RichActionWidgetFactory

-     class RichActionWidgetFactory
      extends AbstractFactory

  Factory for creating widgets from actions, icons, text, or an existing instance.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static Class[]` | `ACTION_ARGS` Parameter types used to locate the action constructor.
    `static Class[]` | `ICON_ARGS` Parameter types used to locate the icon constructor.
    `static Class[]` | `STRING_ARGS` Parameter types used to locate the text constructor.
    `Constructor` | `actionCtor` Cached constructor that accepts an Action.
    `Constructor` | `iconCtor` Cached constructor that accepts an Icon.
    `Class` | `klass` Widget class instantiated by this factory.
    `Constructor` | `stringCtor` Cached constructor that accepts a String.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RichActionWidgetFactory(Class klass)` Creates a new factory for creating widgets from actions, icons, text, or an existing instance

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Creates the node handled by this factory.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Property Detail

    - #### static final Class[] ACTION_ARGS

      Parameter types used to locate the action constructor.

    - #### static final Class[] ICON_ARGS

      Parameter types used to locate the icon constructor.

    - #### static final Class[] STRING_ARGS

      Parameter types used to locate the text constructor.

    - #### final Constructor actionCtor

      Cached constructor that accepts an Action.

    - #### final Constructor iconCtor

      Cached constructor that accepts an Icon.

    - #### final Class klass

      Widget class instantiated by this factory.

    - #### final Constructor stringCtor

      Cached constructor that accepts a String.

  - ### Constructor Detail

    - #### RichActionWidgetFactory(Class klass)

      Creates a new factory for creating widgets from actions, icons, text, or an existing instance

      Parameters:
        `klass` - the widget class to instantiate

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

      Creates the node handled by this factory.

      Parameters:
        `builder` - the factory builder
        `name` - the node name
        `value` - the node value
        `attributes` - the node attributes
      Returns:
        the created or reused node